import { useEffect, useRef, useState } from 'react'
import { Howl } from 'howler'

const PlayButton = ({ url }: { url?: string }) => {
  const player = useRef<Howl>()
  const [state, setState] = useState(player.current?.playing())

  useEffect(() => {
    if (!url) return
    const absUrl = `/${url}`
    console.log(absUrl)
    player.current = new Howl({
      src: [absUrl],
      format: 'mp3',
    })
  }, [])

  return (
    <button
      onClick={() => {
        if (state) player.current?.pause()
        else player.current?.play()
        setState(!state)
      }}
    >
      {state ? 'Stop!' : 'Play!'}
    </button>
  )
}

export default PlayButton
