export const SpotifyPlay = ({
  url,
  width = 250,
  height = 80,
}: {
  url: string
  width?: number
  height?: number
}) => {
  let trackId
  const shared = url.match(/\/track\/([a-zA-Z0-9]+)/)
  if (shared) trackId = shared[1]

  if (!trackId) return null
  const src = `https://open.spotify.com/embed/track/${trackId}`
  return (
    <iframe
      src={src}
      width={width}
      height={height}
      frameBorder='0'
      allowTransparency={true}
      allow='encrypted-media'
    />
  )
}

export const YoutubeThumbnail = (vid: string) => {
  return `https://www.youtube-nocookie.com/embed/${vid}?rel=0`
}

export const Youtube = ({
  url,
  width = 320,
  height = 240,
}: {
  url: string
  width?: number
  height?: number
}) => {
  let vid
  const webplayer = url.match(/watch\?v=([a-zA-Z0-9\-_]+)/)
  if (webplayer) vid = webplayer[1]
  const shorturl = url.match(/youtu\.be\/([a-zA-Z0-9\-_]+)/)
  if (shorturl) vid = shorturl[1]

  if (!vid) return null
  const src = `http://www.youtube.com/embed/${vid}?autoplay=1`
  return (
    <iframe
      src={src}
      width={width}
      height={height}
      frameBorder='0'
      allowTransparency={true}
      allowFullScreen={true}
    />
  )
}
