const basicTheme = {
  colors: {
    logoRed: '#eb0000',
    logoBlack: '#1a1a1a',
    white: '#eeeeee',
    black: '#444444',
  },
  midsize: '512px',
  fullsize: '1024px',
  bs: '0 8px 12px 0 rgba(0,0,0,0.09)',
  bsUp: '0 -8px 12px 0 rgba(0,0,0,0.18)',
  bsSmall: '0 5px 10px 0 rgba(0,0,0,0.19)',
}

const theme = {
  ...basicTheme,
  colors: {
    ...basicTheme.colors,
    color: '#424242',
    background: '#ededed',
    links: '#00A54D',
    linksHighlight: '#35D27E',
    headerColor: '#424242',
    headerBackground: '#efefef',
    footerBackground: '#393939',
    formColor: '#085B96',
    formBackground: '#8CC1E7',
    formHighlight: '#00A54D',
    formHighlightBackground: '#88ECB6',
    formError: '#EA3500',
    formErrorBackground: '#FFAC94',
    mobileNav: '#efefef',
    mobileNavBackground: '#565656',
    presentation: '#e6ebe0',
    presentationBackground: '#3C8EC8',
  },
}

const palette2 = {
  color1: '#18DAAE',
  color2: '#EF476F',
  color3: '#FFD166',
  color4: '#118AB2',
  color5: '#073B4C',
  link: 'https://coolors.co/18daae-ef476f-ffd166-118ab2-073b4c',
}

const palette3 = {
  color1: '#041C54',
  color2: '#6E7082',
  color3: '#E8521E',
  color4: '#50D796',
  color5: '#2ED3FD',
  link: 'https://coolors.co/041c54-6e7082-e8521e-50d796-2ed3fd',
}

const palette4 = {
  color1: '#85ffc7',
  color2: '#004a99',
  color3: '#ff8552',
  color4: '#e6e6e6',
  color5: '#39393a',
  link: 'https://coolors.co/85ffc7-004a99-ff8552-e6e6e6-39393a',
}

const palette5 = {
  color1: '#ffffff',
  color2: '#d1d2cb',
  color3: '#ff5e5b',
  color4: '#00cecb',
  color5: '#353535',
  link: 'https://coolors.co/ffffff-d1d2cb-ff5e5b-00cecb-353535',
}

const palette6 = {
  color1: '#ff7842',
  color2: '#f6f9fa',
  color3: '#afaca9',
  color4: '#5da9e9',
  color5: '#e5f4e3',
  link: 'https://coolors.co/ff7842-f6f9fa-afaca9-5da9e9-e5f4e3',
}

const palette7 = {
  color1: '#366389',
  color2: '#2f4559',
  color3: '#f3b038',
  color4: '#f07230',
  color5: '#8dcbe8',
  link: 'https://coolors.co/366389-2f4559-f3b038-f07230-8dcbe8',
}

const palette8 = {
  color1: '#011627',
  color2: '#fdfffc',
  color3: '#2ec4b6',
  color4: '#e71d36',
  color5: '#ff9f1c',
  link: 'https://coolors.co/011627-fdfffc-2ec4b6-e71d36-ff9f1c',
}

const theme2 = {
  ...basicTheme,
  colors: {
    ...basicTheme.colors,
    color: basicTheme.colors.black,
    highlight: palette2.color5,
    background: basicTheme.colors.white,
    links: palette2.color2,
    linksHighlight: palette2.color2,
    headerColor: basicTheme.colors.black,
    headerBackground: basicTheme.colors.white,
    footer: basicTheme.colors.white,
    footerBackground: basicTheme.colors.black,
    button: basicTheme.colors.white,
    buttonBackground: palette2.color2,
    balloon: basicTheme.colors.black,
    balloonBackground: palette2.color3,
    formColor: '#085B96',
    formBackground: '#8CC1E7',
    formHighlight: '#00A54D',
    formHighlightBackground: '#88ECB6',
    formError: '#EA3500',
    formErrorBackground: '#FFAC94',
    mobileNav: '#efefef',
    mobileNavBackground: '#565656',
    presentation: basicTheme.colors.white,
    presentationBackground: palette2.color4,
  },
  midsize: '512px',
  fullsize: '1024px',
  bs: '0 8px 12px 0 rgba(0,0,0,0.09)',
  bsUp: '0 -8px 12px 0 rgba(0,0,0,0.18)',
  bsSmall: '0 5px 10px 0 rgba(0,0,0,0.19)',
}

export default theme2
